%define name		abisuite
%define version		0.7.11
%define release 4mdk
%define ABIPREFIX	/usr/share/abisuite
%define MAKEOPT         UNIX_CAN_BUILD_STATIC=0 ABI_BUILD_VERSION=%{version}

Name:		%{name}
Summary:	Lean and fast full-featured word processor
Version:	%{version}
Release:	%{release}

Source:		http://download.abisource.com/releases/%{version}/src/lf/abi-%{version}.tar.bz2
Source1:	http://download.abisource.com/releases/%{version}/src/lf/abidistfiles-%{version}.tar.bz2
Source2:	http://download.abisource.com/releases/%{version}/src/lf/expat-%{version}.tar.bz2
Source3:	http://download.abisource.com/releases/%{version}/src/lf/unixfonts-%{version}.tar.bz2
Source4:	http://download.abisource.com/releases/%{version}/src/lf/wv-%{version}.tar.bz2
Source5:	abiword-48.xpm.bz2
Source6:	abiword-32.xpm.bz2
Source7:	http://download.abisource.com/releases/%{version}/src/lf/libiconv-%{version}.tar.bz2
Source8:	abiword-16.xpm.bz2

Group:		Office
URL:		http://www.abisource.com/
Requires:	gtk+ >= 1.2, glib
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL
Patch0:         abi-remove-menus.patch.bz2
Patch1:          abi-toolbars.patch.bz2
Patch2:			abi-menus-fr.patch.bz2
Patch3:			wv.patch.bz2
Patch4:			wv-support.patch.bz2
BuildRequires:	libwmf glib-devel gtk+-devel freetype-devel xpm-devel zlib-devel libpng-devel

%description
AbiWord is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n abi-%{version} -b 1 -b 2 -b 3 -b 4 -b 7
# (Fred) from Helix
%patch0 -p1 -b .remove_menu
# (Renaud)
%patch1 -p1 -b .remove_tools
%patch2 -p1 -b .menus_fr
# wv.h from abisuite/wv and wmfapi.h clash on some declarations...
bzcat %{PATCH3} > $RPM_BUILD_DIR/wv.patch
bzcat %{PATCH4} > $RPM_BUILD_DIR/wv-support.patch
cd $RPM_BUILD_DIR
patch wv/wv.h wv.patch
patch wv/support.c wv-support.patch


%build
make %{MAKEOPT} prefix=/usr
make %{MAKEOPT} canonical prefix=/usr

%install
make %{MAKEOPT} install prefix=$RPM_BUILD_ROOT/usr/share/abisuite
mkdir -p $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/bin/* $RPM_BUILD_ROOT/usr/bin
( cd $RPM_BUILD_ROOT/usr/bin; ln -s AbiWord abiword )
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/bin/AbiWord
perl -pi -e "s,/usr/share/abisuite/AbiSuite/bin,/usr/bin," $RPM_BUILD_ROOT/usr/bin/AbiWord
rm -rf $RPM_BUILD_ROOT/usr/share/abisuite/bin/
rm -rf $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/bin/
rm -f $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/COPYING  $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/readme.txt

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/abiword.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/abiword.xpm
bzcat %{SOURCE8} > $RPM_BUILD_ROOT%{_miconsdir}/abiword.xpm

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(abisuite): command="abiword" section="Office" \
icon="abiword.xpm" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# (vince) user cann't read the fonts without this
chmod 644 $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/fonts/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc user/wp/readme.txt COPYING
%{_datadir}/abisuite
%{_bindir}/*
%{_iconsdir}/abiword.xpm
%{_miconsdir}/abiword.xpm
%{_liconsdir}/abiword.xpm
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
